Subject: Re: Large delays in mailing list delivery?

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 07 Dec 2021 05:20:18 +0100

On Fri, Dec 03 2021, Ævar Arnfjörð Bjarmason wrote:

> On Fri, 3 Dec 2021 11:52:58 -0800 Elijah Newren wrote:
>
>> Are there some rather large delays in mailing list delivery these
>> days?  Anyone know who to contact to investigate?  [*]
>
> I've got E-Mail delays so large that I manually crafted In-Reply-To
> etc. to reply to this :)
>
> I'm 99% sure it's some weird thing at GMail, and nothing to do with
> kernel.org.
>
> When I've experienced delays (sometimes of half a day or more) both
> https://public-inbox.org/git/ and https://lore.kernel.org/git/ have been
> updated.
>
> Konstantin Ryabitsev notes (and would be in a position to know) that
> GMail throttles delivery (with an smtp 451 error?).
>
> But the other day when Junio sent out a What's Cooking and I saw it on
> lore, but it wasn't in my mailbox for some hours. That time I looked a
> bi tinto it.
>
> I went into the gmail UI and searched for rfc822msgid:$id, nothing. It
> was neither there on IMAP or in the UI.
>
> However when the E-Mail finally arrived I looked at the raw headers, and
> all the "Received" headers (including GMail's own internal routing) were
> within a couple of minutes of Junio having sent the mail (and in the
> meantime it went through vger etc.).
>
> So, I'm hazy on E-Mail infrastructure details these days (but worked no
> it in a past life), but that really seems to me like GMail in fact got
> the E-Mail, but it was just sitting in some local queue of theirs before
> it got served to me.
>
> Right now I can't see the mail I'm replying to in my inbox[1], but I can
> report the full headers once it arrives if that helps.
>
> 1. A search for:
>    rfc822msgid:[email-masked]

For what it's worth after it finally arrived the relevant part of the
headers is, which shows the issue Konstantin Ryabitsev
described. I.e. it was sitting for ~3 days between vger and GMail:
    
    [...]
    Received: from vger.kernel.org (vger.kernel.org. [23.128.96.18])
            by mx.google.com with ESMTP id g10si21274138pfj.188.2021.12.06.17.50.50;
            Mon, 06 Dec 2021 17:51:02 -0800 (PST)
    Received-SPF: pass (google.com: domain of [email-masked] designates 23.128.96.18 as permitted sender) client-ip=23.128.96.18;
    Authentication-Results: mx.google.com;
           dkim=pass header.i=@gmail.com header.s=20210112 header.b=V2iU5Wyg;
           spf=pass (google.com: domain of [email-masked] designates 23.128.96.18 as permitted sender) smtp.mailfrom=[email-masked];
           dmarc=pass (p=NONE sp=QUARANTINE dis=NONE) header.from=gmail.com
    Received: ([email-masked]) by vger.kernel.org via listexpand
            id S1343798AbhLCT4g (ORCPT <rfc822;[email-masked]>
            + 99 others); Fri, 3 Dec 2021 14:56:36 -0500
    [...]

I.e. not at all what I alluded to above, and at this point I'm not sure
I ever really saw a mail like that (maybe I just misread the headers at
the time + confirmation bias, and I didn't go re-digging again now...).